//Copyright (C) 2007 SiegeLord
//See ReadMe.txt and License.txt for copying information

#pragma once
#include "objectex.h"

struct SSolarArray : SObject
{
	SSolarArray()
	{
		type = solar_array_type;
	}

	int player;
	float timer;
	SBitmap* image;
	vector2d polar_pos;

	virtual int Handle();
	virtual void Draw();
};

SSolarArray* CreateSolarArray(SObject* parent, const vector2d& polar_pos);
void ResetSolarArrays();
